Bug 137654 - kernel-doc listed as both added and removed
kernel-doc listed as both added and removed
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
:
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
 
Reported: 2004-10-29 22:11 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 14:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-10-29 22:11:46 EDT
Today's FC3 candidate release has release notes that have kernel-doc
listed in both packages added and packages removed.  It was only
kernel-source that was removed; kernel-doc is still there, and I think
it was already there in FC2.

While at that, the references to memtest86 should probably be removed
from the x86_64 release notes, since memtest is only available in the
x86 install disk.

I'd reported this to Ed in private e-mail long after the cut-off date,
but Notting asked me to file this in bugzilla anyway, at the very
least to get people something to easily DUP bug reports to :-)
Comment 1 Ed Bailey 2004-10-30 10:14:39 EDT
The kernel-doc problem uncovered a bug in the python script I used to
generate the lists.  What caused it was that the kernel-doc packages
in FC2 were arch-specific binary RPMs, while the kernel-doc packages
in FC3 are now noarch RPMs.

So from one perspective, the package lists are correct -- the i386
kernel-doc package in FC2 was removed, and a noarch kernel-doc package
was added.  But I agree that the result is confusing.

An interesting corner case; I wonder how best to address it... :-)

Comment 2 Ed Bailey 2004-10-30 14:14:50 EDT
For the sake if keeping the release notes sources consistent on the
chance the content may be reused for FC4, I've conditionalized the
reference to memtest86 to only apply to x86.  And since I was in the
neighborhood, I've pulled the references to kernel-doc from the added
and deleted package lists.

Whether or not this will make it into the actual release is up to
Sopwith; this is *way* late to be rebuilding fedora-release...

Note You need to log in before you can comment on or make changes to this bug.